solution, thanks Stephan Koster

Discussion in 'AutoCAD' started by jeroenberkers, May 22, 2004.

  1. ;Koster, Stephan Aug/14/00 - 22:49 (GMT)
    ;Re: error: Visual LISP command document mismatch:
    ;It's a bug.
    ;As a workaround you can install the following reactor
    ;before your first call to (vlax-add-cmd):

    (defun dummycommand()())
    (defun dummyreactor (a b)
    (vlax-add-cmd "dummycommand" 'dummycommand)
    )
    (if (not *dummycommandreactor*)
    (setq *dummycommandreactor*
    (vlr-docmanager-reactor ""
    '(:)vlr-documentBecameCurrent . dummyreactor))
    )
    )
    )
    (dummyreactor NIL NIL)

    (vlax-add-cmd "solprof" 'c:solprof "solprof" 4)

    ; (defun the_rest () () )
     
    jeroenberkers, May 22, 2004
    #1
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.